The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get NMS IPs at Domain

Prev Next

This URL gets the NMS IPs present at the domain and the parent domains.

Resource URL

GET /domain/<domain_id> /nmsips

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
NMSIPList Contains the list of NMS IPs ObjectList

Details of fields in NMSIPList:

Field Name Description Data Type
NMSIPDetails NMS IP details Object

Details of fields in NMSIPDetails:

Field Name Description Data Type
IPAddress NMS IP String
IPId Id of the NMS IP Number
createdAt Resource where the NMS IP was created String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/101/nmsips

Response

 {
       "nmsIPDetails":
       [
           {
               "IPAddress": "1.1.1.1",
               "IPId": 49,
               "createdAt": "/My Company"
           },
           {
               "IPAddress": "2.2.2.2",
               "IPId": 50,
               "createdAt": "/My Company/Test Child Domain 1"
           }
       ]
    } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain